Create source
Create source. Manage only sources owned by this token on the current tenant.
/api/appstore/manage/sourcesRichiesta parametri
Tutti i parametri possono essere passati tramite Query o Body
| Parametro | Tipo | Obbligo | Descrizione |
|---|---|---|---|
name | string | Obbligo | Source name, up to 100 characters Esempio: 我的软件源 |
message | string | Facoltativo | Source announcement Esempio: 欢迎使用 |
identifier | string | Facoltativo | Source identifier, up to 100 characters |
source_icon | string | Facoltativo | HTTP(S) URL of the source icon |
pay_url | string | Facoltativo | HTTP(S) URL of the payment page |
encrypt_enabled | integer | Facoltativo | Response encryption: 0=off, 1=on (default on when created) Esempio: 1 |
open_black | integer | Facoltativo | Auto-block devices used to add apps: 0/1 Esempio: 0 |
open_black2 | integer | Facoltativo | Auto-block cracking attempts: 0/1 Esempio: 0 |
health_alert | object | Facoltativo | Complete link-health alert configuration as a JSON object |
Risposta
| Parametro | Tipo | Obbligo | Descrizione |
|---|---|---|---|
code | integer | Obbligo | 1 indicates success; otherwise a token, validation or source error code Esempio: 1 |
msg | string | Obbligo | Localized result message Esempio: 获取成功 |
time | integer | Obbligo | Unix timestamp in seconds |
data | object | Obbligo | Allowlisted fields visible to the source owner |
Codici di errore
101140001Lingua di risposta
Personalizza il linguaggio di risposta API con l'intestazione X-Lang. Gli esempi di codice qui sotto utilizzano automaticamente la lingua del tuo sito corrente.
X-Lang: itzh, en, zh-TW, vi, ar, es, ruAccetta-Language è anche supportato; X-Lang prende la priorità.
Esempi di codice
curl -X POST "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources" \
-H "X-Lang: it" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "我的软件源",
"message": "欢迎使用",
"identifier": "example_identifier",
"source_icon": "example_source_icon",
"pay_url": "example_pay_url",
"encrypt_enabled": 1,
"open_black": 0,
"open_black2": 0,
"health_alert": "example_health_alert"
}'Note
- 必须使用 HTTPS 传输。接口不接受 uid、tenant_id、is_official、到期时间等管理员字段。
- 响应不包含拥有者身份、内部草稿或敏感密钥;创建源和应用受订阅、试用及数量限制。
Provalo in Console
Compila i parametri qui sotto e invia una richiesta al test. Le richieste vanno solo all'API di questo sito; l'URL è bloccato e non può essere modificato e il cookie di login corrente è incluso.
https://testypro.iwai.cc/api/appstore/manage/sourcesBloccato a questo sitoSource name, up to 100 characters
Source announcement
Source identifier, up to 100 characters
HTTP(S) URL of the source icon
HTTP(S) URL of the payment page
Response encryption: 0=off, 1=on (default on when created)
Auto-block devices used to add apps: 0/1
Auto-block cracking attempts: 0/1
Complete link-health alert configuration as a JSON object